# Amira Script
remove -all
remove volrenRed.col Chunk1_FourierFilter_10perCutoff.mat Chunk2_FourierFilter_10perCutoff.mat Isosurface Isosurface2 Voltex Voltex2

# Create viewers
viewer setVertical 0

viewer 0 setBackgroundMode 1
viewer 0 setBackgroundColor 0.0528169 0.114437 0.211268
viewer 0 setBackgroundColor2 0.299799 0.299799 0.338028
viewer 0 setTransparencyType 5
viewer 0 setAutoRedraw 0
viewer 0 show
mainWindow show

set hideNewModules 1
[ load ${AMIRA_ROOT}/data/colormaps/volrenRed.col ] setLabel volrenRed.col
volrenRed.col setIconPosition 0 0
volrenRed.col setNoRemoveAll 1
volrenRed.col fire
{volrenRed.col} setMinMax 10 200
volrenRed.col flags setValue 1
volrenRed.col shift setMinMax -1 1
volrenRed.col shift setButtons 0
volrenRed.col shift setIncrement 0.133333
volrenRed.col shift setValue 0
volrenRed.col shift setSubMinMax -1 1
volrenRed.col scale setMinMax 0 1
volrenRed.col scale setButtons 0
volrenRed.col scale setIncrement 0.1
volrenRed.col scale setValue 1
volrenRed.col scale setSubMinMax 0 1
volrenRed.col fire
volrenRed.col setViewerMask 32767

set hideNewModules 0
[ load ${SCRIPTDIR}/Chunk1_FourierFilter_10perCutoff.mat ] setLabel Chunk1_FourierFilter_10perCutoff.mat
Chunk1_FourierFilter_10perCutoff.mat setIconPosition 20 10
Chunk1_FourierFilter_10perCutoff.mat fire
Chunk1_FourierFilter_10perCutoff.mat fire
Chunk1_FourierFilter_10perCutoff.mat setViewerMask 32767

set hideNewModules 0
[ load ${SCRIPTDIR}/Chunk2_FourierFilter_10perCutoff.mat ] setLabel Chunk2_FourierFilter_10perCutoff.mat
Chunk2_FourierFilter_10perCutoff.mat setIconPosition 20 40
Chunk2_FourierFilter_10perCutoff.mat fire
Chunk2_FourierFilter_10perCutoff.mat fire
Chunk2_FourierFilter_10perCutoff.mat setViewerMask 32767

set hideNewModules 0
create HxIsosurface {Isosurface}
Isosurface setIconPosition 524 10
Isosurface data connect Chunk1_FourierFilter_10perCutoff.mat
Isosurface colormap setDefaultColor 0.0140846 1 0
Isosurface colormap setDefaultAlpha 0.500000
Isosurface fire
Isosurface drawStyle setValue 1
Isosurface fire
Isosurface drawStyle setSpecularLighting 1
Isosurface drawStyle setTexture 0
Isosurface drawStyle setAlphaMode 1
Isosurface drawStyle setNormalBinding 1
Isosurface drawStyle setCullingMode 0
Isosurface drawStyle setSortingMode 1
Isosurface textureWrap setIndex 0 1
Isosurface threshold setMinMax -252.800354003906 230.14436340332
Isosurface threshold setButtons 0
Isosurface threshold setIncrement 32.1963
Isosurface threshold setValue 76
Isosurface threshold setSubMinMax -252.800354003906 230.14436340332
Isosurface options setValue 0 1
Isosurface options setValue 1 0
Isosurface resolution setMinMax 0 -1.00000001384843e+024 1.00000001384843e+024
Isosurface resolution setValue 0 2
Isosurface resolution setMinMax 1 -1.00000001384843e+024 1.00000001384843e+024
Isosurface resolution setValue 1 2
Isosurface resolution setMinMax 2 -1.00000001384843e+024 1.00000001384843e+024
Isosurface resolution setValue 2 2
Isosurface numberOfCores setMinMax 1 10
Isosurface numberOfCores setButtons 1
Isosurface numberOfCores setIncrement 1
Isosurface numberOfCores setValue 4
Isosurface numberOfCores setSubMinMax 1 10
{Isosurface} doIt hit
Isosurface fire
Isosurface setViewerMask 32767
Isosurface setShadowStyle 0

set hideNewModules 0
create HxIsosurface {Isosurface2}
Isosurface2 setIconPosition 520 40
Isosurface2 data connect Chunk2_FourierFilter_10perCutoff.mat
Isosurface2 colormap setDefaultColor 1 0 0
Isosurface2 colormap setDefaultAlpha 0.500000
Isosurface2 fire
Isosurface2 drawStyle setValue 1
Isosurface2 fire
Isosurface2 drawStyle setSpecularLighting 1
Isosurface2 drawStyle setTexture 0
Isosurface2 drawStyle setAlphaMode 1
Isosurface2 drawStyle setNormalBinding 1
Isosurface2 drawStyle setCullingMode 0
Isosurface2 drawStyle setSortingMode 1
Isosurface2 textureWrap setIndex 0 1
Isosurface2 threshold setMinMax -235.513565063477 228.699005126953
Isosurface2 threshold setButtons 0
Isosurface2 threshold setIncrement 30.9475
Isosurface2 threshold setValue 65
Isosurface2 threshold setSubMinMax -235.513565063477 228.699005126953
Isosurface2 options setValue 0 1
Isosurface2 options setValue 1 0
Isosurface2 resolution setMinMax 0 -1.00000001384843e+024 1.00000001384843e+024
Isosurface2 resolution setValue 0 2
Isosurface2 resolution setMinMax 1 -1.00000001384843e+024 1.00000001384843e+024
Isosurface2 resolution setValue 1 2
Isosurface2 resolution setMinMax 2 -1.00000001384843e+024 1.00000001384843e+024
Isosurface2 resolution setValue 2 2
Isosurface2 numberOfCores setMinMax 1 10
Isosurface2 numberOfCores setButtons 1
Isosurface2 numberOfCores setIncrement 1
Isosurface2 numberOfCores setValue 4
Isosurface2 numberOfCores setSubMinMax 1 10
{Isosurface2} doIt hit
Isosurface2 fire
Isosurface2 setViewerMask 32767
Isosurface2 setShadowStyle 0

set hideNewModules 0
create HxVoltex {Voltex}
Voltex setIconPosition 394 0
Voltex data connect Chunk1_FourierFilter_10perCutoff.mat
Voltex colormap setDefaultColor 1 0.8 0.5
Voltex colormap setDefaultAlpha 0.500000
Voltex colormap connect volrenRed.col
Voltex fire
Voltex options setValue 0 0
Voltex options setValue 1 1
Voltex range setMinMax 0 -1.00000001384843e+024 1.00000001384843e+024
Voltex range setValue 0 0
Voltex range setMinMax 1 -1.00000001384843e+024 1.00000001384843e+024
Voltex range setValue 1 255
Voltex lookup setValue 0
Voltex gamma setMinMax 1 8
Voltex gamma setButtons 0
Voltex gamma setIncrement 0.466667
Voltex gamma setValue 3
Voltex gamma setSubMinMax 1 8
Voltex alphaScale setMinMax 0 1
Voltex alphaScale setButtons 0
Voltex alphaScale setIncrement 0.1
Voltex alphaScale setValue 1
Voltex alphaScale setSubMinMax 0 1
Voltex texture2D3D setValue 0
Voltex slices setMinMax 0 256
Voltex slices setButtons 1
Voltex slices setIncrement 1
Voltex slices setValue 25
Voltex slices setSubMinMax 0 256
Voltex downsample setMinMax 0 1 100
Voltex downsample setValue 0 1
Voltex downsample setMinMax 1 1 100
Voltex downsample setValue 1 1
Voltex downsample setMinMax 2 1 100
Voltex downsample setValue 2 1
Voltex doIt hit
Voltex fire
Voltex setViewerMask 32766
Voltex setShadowStyle 0

set hideNewModules 0
create HxVoltex {Voltex2}
Voltex2 setIconPosition 391 32
Voltex2 data connect Chunk2_FourierFilter_10perCutoff.mat
Voltex2 colormap setDefaultColor 1 0.8 0.5
Voltex2 colormap setDefaultAlpha 0.500000
Voltex2 colormap connect volrenRed.col
Voltex2 fire
Voltex2 options setValue 0 0
Voltex2 options setValue 1 1
Voltex2 range setMinMax 0 -1.00000001384843e+024 1.00000001384843e+024
Voltex2 range setValue 0 0
Voltex2 range setMinMax 1 -1.00000001384843e+024 1.00000001384843e+024
Voltex2 range setValue 1 255
Voltex2 lookup setValue 0
Voltex2 gamma setMinMax 1 8
Voltex2 gamma setButtons 0
Voltex2 gamma setIncrement 0.466667
Voltex2 gamma setValue 3
Voltex2 gamma setSubMinMax 1 8
Voltex2 alphaScale setMinMax 0 1
Voltex2 alphaScale setButtons 0
Voltex2 alphaScale setIncrement 0.1
Voltex2 alphaScale setValue 1
Voltex2 alphaScale setSubMinMax 0 1
Voltex2 texture2D3D setValue 0
Voltex2 slices setMinMax 0 256
Voltex2 slices setButtons 1
Voltex2 slices setIncrement 1
Voltex2 slices setValue 25
Voltex2 slices setSubMinMax 0 256
Voltex2 downsample setMinMax 0 1 100
Voltex2 downsample setValue 0 1
Voltex2 downsample setMinMax 1 1 100
Voltex2 downsample setValue 1 1
Voltex2 downsample setMinMax 2 1 100
Voltex2 downsample setValue 2 1
Voltex2 doIt hit
Voltex2 fire
Voltex2 setViewerMask 32766
Voltex2 setShadowStyle 0

set hideNewModules 0


viewer 0 setCameraOrientation 0.61821 -0.148364 -0.771884 3.39976
viewer 0 setCameraPosition -0.96508 1.02519 0.695851
viewer 0 setCameraFocalDistance 1.5
viewer 0 setCameraNearDistance 1.2968
viewer 0 setCameraFarDistance 1.72752
viewer 0 setCameraType orthographic
viewer 0 setCameraHeight 0.21914
viewer 0 setAutoRedraw 1
viewer 0 redraw
